package com.ygtx.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * ICE待办任务配置属性
 *
 * @author ygt
 */
@Component
@ConfigurationProperties(prefix = "ice.pending-task")
public class IcePendingTaskProperties
{
    /**
     * 接口路径 http://app.ceic.com:xxxx/xx/xxxx/xxxx?wsdl
     */
    private String wsdlUrl;

    /**
     * 平台ID，找系统管理员获取
     */
    private String platformId;

    /**
     * 系统唯一标识
     */
    private String systemId;

    public String getWsdlUrl()
    {
        return wsdlUrl;
    }

    public void setWsdlUrl(String wsdlUrl)
    {
        this.wsdlUrl = wsdlUrl;
    }

    public String getPlatformId()
    {
        return platformId;
    }

    public void setPlatformId(String platformId)
    {
        this.platformId = platformId;
    }

    public String getSystemId()
    {
        return systemId;
    }

    public void setSystemId(String systemId)
    {
        this.systemId = systemId;
    }
}